Plesk\backup\Agent\Schema\Backup\SappSpec\SappSpecAType:
    properties:
        sappPackageId:
            expose: true
            access_type: public_method
            serialized_name: sapp-package-id
            xml_element:
                cdata: false
            accessor:
                getter: getSappPackageId
                setter: setSappPackageId
            type: string
        sappName:
            expose: true
            access_type: public_method
            serialized_name: sapp-name
            xml_element:
                cdata: false
            accessor:
                getter: getSappName
                setter: setSappName
            type: string
        sappVersion:
            expose: true
            access_type: public_method
            serialized_name: sapp-version
            xml_element:
                cdata: false
            accessor:
                getter: getSappVersion
                setter: setSappVersion
            type: string
        sappRelease:
            expose: true
            access_type: public_method
            serialized_name: sapp-release
            xml_element:
                cdata: false
            accessor:
                getter: getSappRelease
                setter: setSappRelease
            type: string
        sappDescription:
            expose: true
            access_type: public_method
            serialized_name: sapp-description
            xml_element:
                cdata: false
            accessor:
                getter: getSappDescription
                setter: setSappDescription
            type: Plesk\backup\Agent\Schema\Backup\SappDescription
        sappCommercial:
            expose: true
            access_type: public_method
            serialized_name: sapp-commercial
            xml_element:
                cdata: false
            accessor:
                getter: getSappCommercial
                setter: setSappCommercial
            type: Plesk\backup\Agent\Schema\Backup\SappCommercial
        sappIntegrated:
            expose: true
            access_type: public_method
            serialized_name: sapp-integrated
            xml_element:
                cdata: false
            accessor:
                getter: getSappIntegrated
                setter: setSappIntegrated
            type: Plesk\backup\Agent\Schema\Backup\SappIntegrated
        sappVendor:
            expose: true
            access_type: public_method
            serialized_name: sapp-vendor
            xml_element:
                cdata: false
            accessor:
                getter: getSappVendor
                setter: setSappVendor
            type: string
        sappPackager:
            expose: true
            access_type: public_method
            serialized_name: sapp-packager
            xml_element:
                cdata: false
            accessor:
                getter: getSappPackager
                setter: setSappPackager
            type: string
